Name:           wxapt
Version:        1.3
Release:        12%{?dist}
Summary:        Console application for decoding and saving weather images

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/apt.html
Source0:        http://5b4az.chronos.org.uk/pkg/apt/wxapt/%{name}-%{version}.tar.gz
Patch0:		wxapt.makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
#Requires:   
#ExcludeArch:	PPC
#ExcludeArch:	PPC64    

%description
wxapt is a console application for decoding and saving weather images
transmitted in the APT format of NOAA and METEOR satellites.

%prep
%setup -qn %{name}
%patch0 -p1 -b makefile.patch
#fix CFLAG from upstream
sed -i -e 's/-march=native//g' Makefile

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#skip make install and do manual install, it's just one file
install -D -m 0755 wxapt $RPM_BUILD_ROOT%{_bindir}/%{name}
#skip .desktop file as this is a command line application

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README
%{_bindir}/*


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> 1.3-3
- Makefile patch change dir from /usr/local to /usr
- Build for ppc and ppc64 previously failed

* Wed Jan 14 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> 1.3-2
- mock build F9/10/devel
- rpmlint 3 packages and 1 specfiles checked; 0 errors, 0 warnings.
- Submit for review

* Sun Sep 21 2008 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> 1.3-1
- Build test for f9

* Sun Mar 02 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 1.3-1
- Initial build
